# Plot signal that is random linear combination of three signals

# generate necessary data from legPlotRandom
execfile('legPlotRandom.py')
close('all')

# generate values
vals_lin_comb = np.zeros(np.size(xvals))
coeffs_lin_comb = [0.5, 0.6, 0.7] 

# construct (weighted) linear combination
for i in range(0, np.size( coeffs_lin_comb)):
  vals_lin_comb = vals_lin_comb + coeffs_lin_comb[i] * vals_rands[i,:]



# visualize
execfile('legPreVisualization.py')

for n in range(0, n_rands):
  plot( xvals, vals_rands[n,:], '-', color=[0.8, 0.8, 1.0])

print(shape(xvals))
print(shape(vals_lin_comb))
# plot signal
plot( xvals, vals_lin_comb, '-r');

execfile('legPostVisualization.py')

plt.savefig( 'figures/legPlotLinCombination.eps')
plt.savefig( 'figures/legPlotLinCombination.pdf')
