# Plot random signals in the space

execfile('legInit.py')

n_rands = 3;
# scaling to make L_\infty norm appropriate for plotting
coeff_scaling = 0.5;

# generate values
vals_rands = np.zeros(( n_rands, np.size(xvals)))
#coeffs_rands = coeff_scaling * randn( n_rands, n_leg+1)
# fix randomly generated coefficients for reproducibility
coeffs_rands = np.array([[-0.2660,-0.2419,-0.0961,-0.1245,0.6173],
                         [0.8411,-0.3560,-0.1370,-0.5321, -0.1148], 
                         [-0.4379,-0.5871,0.7650,0.8017,-0.7531]])


for n in range(0,n_rands):
  vals_rands[n,:]=Legendre.signal(coeffs_rands[n,:], xvals)

# visualize
execfile('legPreVisualization.py')

cols_rand = ['r', 'g', 'b']
for n in range(0, n_rands):
  plot( xvals, vals_rands[n,:], '-', color=cols_rand[n])


execfile('legPostVisualization.py')

plt.savefig( 'figures/legPlotRandom.eps')
plt.savefig( 'figures/legPlotRandom.pdf')