# Plot Legendre polynomials.

execfile('legInit.py')

# generate values
xvals = arange(-1.0, 1.0,0.001)
vals_leg_polys = np.zeros( (n_leg + 1, np.size(xvals)))

for n in range(0,n_leg+1):
  cdat = Legendre.eval( n, xvals)
  vals_leg_polys[n,:] = cdat


# visualize
execfile('legPreVisualization.py')

lines=[]
labels=[]
for n in range (0, n_leg+1):
  lines.append(plot( xvals, vals_leg_polys[n,:], '-', label='P'+str(n),\
                     color=cols[n]))
  labels.append('P'+str(n))

#plt.legend()

execfile('legPostVisualization.py')
plt.savefig( 'figures/legPlotLegendre.eps')
plt.savefig( 'figures/legPlotLegendre.pdf')


