import numpy as np
import scipy.special as sp
import matplotlib.pyplot as plt
from pylab import *
from legendre import *
#
# [fvals, coeffs] = signalLeg( xvals)
#
# Evaluate Legendre Polynomial test signal.
class SignalLeg:
    @staticmethod
    def signal(xvals):
        n_leg=30
        coeffs = 0.15 * \
            np.array([ -1.0531,    0.6478,   -0.3176,    1.7690,    1.5106,
                       0.1640,   -0.2828,    1.1522,   -1.1465,   0.6737,
                       -0.6691,   -0.4003,   -0.6718,    0.5756,   -0.7781,
                       -1.0636,    0.5530,   -0.4234,    0.3616,   -0.3519,
                       0.2695,   -2.5644,    0.4659,    1.8536,    1.0393,
                       0.9109,   -0.2397,    0.1810,    0.2442,    0.0964,
                       -0.8305])
          
        Legendre.initialize(n_leg)
        fvals = Legendre.signal(coeffs, xvals)
        return (fvals,coeffs)